Description

Hi there,

Filou Centrinov has reported a feature request in #13770. This patch aims to fix this.

Best regards,
Daniel

Related issues:

Related to Redmine - Feature #13770: Show warning, when exported issues excee... Closed

History

#1 - 2013-04-15 17:40 - Filou Centrinov

Three translation suggestions:

1st: EN: Export contains only %{export} of %{total} issues.

2nd: EN: Export contains only the first %{export} of %({total} issues.

3rd: EN: Export limit is {X}.

Also the pdf export needs a warning. | know, there is no dialog by default.
#2 - 2013-04-16 03:18 - Filou Centrinov

I think like this it would be more simple and logical:

<% if @issue_count > Q@csv_limit %>
<div class="flash warning">
<%= 1l (:warning_export_limit, :export => @csv_limit, :total => @issue_count) %>
</div>
<% end %>

#3 - 2013-04-16 09:20 - Daniel Felix
- File patch_warning_on_csv_export_v2.diff added
Hi Filou,

your right the condition could be changed in this order. Well the result will be the same. :-)
| changed this in the patch.

In addition, | removed the .min. | added it in the first version (not uploaded here) to always display the count of the exported issues.
| changed the size of the modalbox and changed the translation to your suggestion nr. 1 in note 1.
If anyone has translations for this in his language, please provide them. I'll include them in the patch.

Best regards,
Daniel

#4 - 2013-05-07 11:47 - Daniel Felix

Any news on this? Is this patch okay?

#5 - 2013-05-07 12:24 - Jean-Baptiste Barth

- Assignee set to Jean-Baptiste Barth
https://www.redmine.org/issues/13770

Seems ok at first sight, but needs a test or two so we won't break it inadvertently in a future release. | assign the issue to myself, I'll test it and write
some tests tomorrow (except if you want to do so Daniel, would be great ;-))

Just one thing though, I'm always reluctant to add new locale keys (locale maintenance is a tiny nightmare). Isn't it possible to use the already existing
setting_issues_export_limit ?

#6 - 2014-01-12 11:42 - Jean-Philippe Lang
- Subject changed from Show warning if CSV-Export exceeds limits. to Show warning if CSV-Export exceeds limit
- Status changed from New to Closed

- Assignee changed from Jean-Baptiste Barth to Jean-Philippe Lang

- Target version set to 2.5.0

Feature added in r12663. | used the existing i18n string and added some tests.
